Update 3.1.5 to 3.1.6 shows wrong version

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Scam Warning
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
Locked
photosa
Registered User
Posts: 221
Joined: Wed Mar 23, 2005 2:35 pm
Location: South Africa
Contact:

Update 3.1.5 to 3.1.6 shows wrong version

Post by photosa »

I currently have 3.1.5 installed.
If I am in my control panel it tells my current version = 3.1.5 and it tells me I should update to 3.1.6

I downloaded the auto upgrade kit for 3.1.5 to 3.1.6 and uploaded it to the server.

If I go to the install folder and click on the "Update" tab it tells me that the files it found was for 3.0.12 and the update files is for 3.1.5 to 3.1.6
Even at the version check it says 3.0.12

How/where do I fix this?
User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: Update 3.1.5 to 3.1.6 shows wrong version

Post by Oyabun1 »

How did you upgrade from 3.0.12? Please fill out the Support Request Template and post it back here to enable us to assist you better.
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests
photosa
Registered User
Posts: 221
Joined: Wed Mar 23, 2005 2:35 pm
Location: South Africa
Contact:

Re: Update 3.1.5 to 3.1.6 shows wrong version

Post by photosa »

When I upgraded from 3.0.12 I did a fresh install of 3.1.5.


Support Request Template
What version of phpBB are you using? phpBB 3.1.5
What is your board's URL? http://www.hilux4x4.co.za/views
Who do you host your board with? Layershift
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Fresh Install
Is registration required to reproduce this issue? Yes
Do you have any MODs installed? No
Do you have any extensions installed? Yes
What extensions do you have installed? Tapatalk
External Links Open in New Window
What styles do you currently have installed? Latte
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 5
What is your level of experience? Comfortable with PHP and phpBB
What username can be used to view this issue? No answer given
What password can be used to view this issue? No answer given
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? I updated from 3.0.something to 3.1.5 a while ago.
Wanted to update to 3.1.6 now and received the error
Please describe your problem. I updated from 3.0.something to 3.1.5 a while ago.
Wanted to update to 3.1.6 now and received the error saying that I have 3.0.12 installed and cannot use the 3.1.5 to 3.1.6 file to update.
If I log into my control panels it shows that I do have 3.1.5 installed, but if I go to the /install folder to update it thinks it is still 3.0.12
Generated by SRT Generator
User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: Update 3.1.5 to 3.1.6 shows wrong version

Post by Oyabun1 »

A "fresh install"? But there are posts going back at least until 2007.
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests
photosa
Registered User
Posts: 221
Joined: Wed Mar 23, 2005 2:35 pm
Location: South Africa
Contact:

Re: Update 3.1.5 to 3.1.6 shows wrong version

Post by photosa »

The 3.1 update was a major one so I could not udpate the old files.
I had to install a complete new version of phpbb and then there was some thing where we had to convert the database to the latest version.
So the board files are all new.
User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: Update 3.1.5 to 3.1.6 shows wrong version

Post by Oyabun1 »

  1. Upload this file version_check.php to the root of you board install on the server
  2. Run the file by browsing to http://www.hilux4x4.co.za/views/version_check.php
  3. Copy and post the information it provides to here.
The file will run a few checks on the version to help us in deciding how to best resolve the issue.
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests
photosa
Registered User
Posts: 221
Joined: Wed Mar 23, 2005 2:35 pm
Location: South Africa
Contact:

Re: Update 3.1.5 to 3.1.6 shows wrong version

Post by photosa »

Board start date: 17 May 2007
/includes/constants.php version: 3.1.5
Cached version: 3.1.5
Database version: 3.1.5
Database version_update_from: 3.0.12
prosilver version: 3.1.5
User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: Update 3.1.5 to 3.1.6 shows wrong version

Post by Oyabun1 »

  1. Run this SQL query

    Code: Select all

    DELETE FROM phpbb_config WHERE config_name = 'version_update_from';
    Change phpbb_ if that is not your table prefix.

    Always backup the database before making any changes to it.

    See Executing SQL Queries in phpMyAdmin if you are unfamiliar with running queries.
  2. Open the board's /cache folder on the server and delete the data_global.php file.
  3. Then, try the update again.
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests
photosa
Registered User
Posts: 221
Joined: Wed Mar 23, 2005 2:35 pm
Location: South Africa
Contact:

Re: Update 3.1.5 to 3.1.6 shows wrong version

Post by photosa »

Thank you, I deleted the line in the DB and the file, will try update tonight when it is quiet.
Locked

Return to “[3.1.x] Support Forum”